#1 Pin the Python version this was built with
Merged 2 months ago by denisarnaud. Opened 2 months ago by churchyard.

file modified
+3

@@ -35,6 +35,9 @@ 

  Requires:       %{name}%{?_isa} = %{version}-%{release}

  Requires:       pkgconfig

  

+ # The cmake files have Python version backed in them

+ Requires:       (python(abi) = %{python3_version} if python3-devel)

+ 

  %description    devel

  This package contains the header files, shared libraries and

  development helper tools for %{name}. If you would like to develop

Pull-Request has been merged by denisarnaud

2 months ago

Would you like me to push the same commit to all of the affected packages?

  1. stdair (done)
  2. airrac
  3. rmol
  4. sevmgr
  5. trademgen
  6. airtsp
  7. simfqt
  8. travelccm
  9. airinv
  10. simcrs

That would be awesome!

I just did it for airrac too.
For the packages depending on stdair (ie, all those packages), the dependency on Python would be pulled by stdair's own pinned dependency on Python, wouldn't it?
Nevertheless, it seems clearer to pin the Python dependency, as you suggest; so, do not hesitate to go forward :)

For the packages depending on stdair (ie, all those packages), the dependency on Python would be pulled by stdair's own pinned dependency on Python, wouldn't it?

Possibly.

Nevertheless, it seems clearer to pin the Python dependency, as you suggest; so, do not hesitate to go forward :)

OK.